%global momorel 3
%global qtdir %{_libdir}/qt3

Name:           qtparted
Version:        0.4.5
Release:        %{momorel}m
Summary:        Partition Magic clone written in C++ using the Qt toolkit

Group:          Applications/System
License:        GPL
URL:            http://qtparted.sourceforge.net/
%NoSource 0 http://dl.sf.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2 4541c0aa5475ba38d3cc518c921c8a34
Source1:        %{name}.pam
Source2:        %{name}.consoleapp
# japanese message files are based on that of KNOPPIX-JP 
%NoSource 4 ftp://unit.aist.go.jp/itri/knoppix/pool/base/qtparted/qtparted-locale-ja_0.4.4-0.1.tar.gz de3595dbcc55bd34d7d350687b8f7e2a
Patch0:         qtparted-0.4.5-desktop.patch
Patch1:         qtparted-tsfile_ja.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  qt-devel >= 3.1.0, , qt-designer, parted-devel >= 1.6.6
BuildRequires:  desktop-file-utils, zlib-devel, libjpeg-devel
BuildRequires:  e2fsprogs-devel, jfsutils, xfsprogs, ntfsprogs
BuildRequires:  automake, perl, autoconf, nkf
Requires:       usermode-gtk, e2fsprogs, jfsutils, xfsprogs, ntfsprogs

%description
QTParted is a Partition Magic clone written in C++ using the Qt toolkit.


%prep
%setup -q -a 4
%patch0 -p1 -b .orig
%patch1 -p1 -b .ja_message
# convert to UTF-8
nkf -w qtparted-locale-ja-0.4.4/qtparted_ja_JP.eucJP.ts > ts/qtparted_ja.ts

%build
export QTDIR="%{qtdir}"

%{__aclocal}
%{__automake} --add-missing --gnu
%{__perl} admin/am_edit
%{__autoconf}

%configure \
  --with-log-dir=%{_localstatedir}/log \
  --disable-reiserfs

%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} transform='s,x,x,' install

desktop-file-install \
  --vendor= --mode 644 \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applnk/System/qtparted.desktop
rm -rf %{buildroot}%{_datadir}/applnk
ln -s %{_datadir}/qtparted/pics/qtparted_32.png \
  %{buildroot}%{_datadir}/pixmaps/qtparted.png

# PAM configuration
install -dm 755 %{buildroot}%{_bindir}
ln -s consolehelper %{buildroot}%{_bindir}/qtparted
install -Dpm 644 %{SOURCE1} \
  %{buildroot}%{_sysconfdir}/pam.d/qtparted
install -Dpm 644 %{SOURCE2} \
  %{buildroot}%{_sysconfdir}/security/console.apps/qtparted

## Default configuration
#install -Dpm 0644 %{SOURCE3} \
#  %{buildroot}%{qtdir}/etc/settings/qtpartedrc
#touch %{buildroot}%{qtdir}/etc/settings/.qtpartedrc.lock
#chmod 600 %{buildroot}%{qtdir}/etc/settings/.qtpartedrc.lock


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS doc/BUGS debian/changelog COPYING doc/README doc/TODO.txt
%config(noreplace) %{_sysconfdir}/pam.d/qtparted
%config(noreplace) %{_sysconfdir}/security/console.apps/qtparted
#%config %{qtdir}/etc/settings/qtpartedrc
#%ghost %{qtdir}/etc/settings/.qtpartedrc.lock
%{_bindir}/qtparted
%{_sbindir}/qtparted
%exclude %{_sbindir}/run_qtparted
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/qtparted.png
%exclude %{_datadir}/pixmaps/qtparted.xpm
%dir %{_datadir}/qtparted
%{_datadir}/qtparted/pics
%dir %{_datadir}/qtparted/locale
%{_datadir}/qtparted/locale/*.qm
%{_mandir}/man1/*


%changelog
* Wed May 17 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.4.5-3m)
- revised qtparted.desktop to exec qtparted instead of /usr/sbin/qtparted in order to reflect a consolehelper setting.

* Tue May 16 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.4.5-2m)
- rebuild against parted-1.6.25.1

* Sat May 13 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.4.5-1m)
- import to Momonga (based on Fedora Extra package qtparted-0.4.5-5.fc6.src.rpm)
- add Japanese message file which has been made by KNOPPIX-JP project (qtparted-locale-ja_0.4.4-0.1.tar.gz) although the latest one seems not to be uploaded to anywhere...
- disable reiserfs support since it needs libreiserfs which seems to be obsoleted? (progsreiserfs in http://reiserfs.linux.kiev.ua/)

* Fri Apr 14 2006 Steven Pritchard <steve@kspei.com> - 0.4.5-5
- Rebuild.

* Mon Feb 13 2006 Steven Pritchard <steve@kspei.com> - 0.4.5-4
- Rebuild.

* Mon Nov 14 2005 Steven Pritchard <steve@kspei.com> - 0.4.5-3
- Remove BR XFree86-devel.

* Mon Oct 24 2005 Steven Pritchard <steve@kspei.com> - 0.4.5-2
- Rebuild.

* Sat Aug 13 2005 Steven Pritchard <steve@kspei.com> - 0.4.5-1
- Update to 0.4.5.
- Work around unsermake dependency in distributed configure script.

* Thu May 19 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.4.4-3
- Rebuild.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.4.4-2
- rebuilt

* Fri May 21 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.4.4-0.fdr.1
- Update to 0.4.4.
- Specfile cleanup.

* Sun Jul 13 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.2-0.fdr.5
- Export $QTDIR before running %%configure.

* Thu Jul 10 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.2-0.fdr.4
- Add sanity and use mktemp in qtparted_df (bug 388).
- Own stuff under $QTDIR/etc/settings, install default config (bug 388).

* Tue Jul  8 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.2-0.fdr.3
- Move qtparted_df to %%{_libexecdir} and make it executable (#388).
- Require e2fsprogs and jfsutils (#388).

* Tue Jul  1 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.2-0.fdr.2
- Use PAM/consolehelper instead of kdesu.
- Mark %%lang files as such.
- .desktop entry tweaks.

* Fri Jun 20 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.2-0.fdr.1
- Update to 0.3.2.

* Fri May 30 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.1-0.fdr.2
- BuildRequire e2fsprogs-devel and add -luuid to LIBS (#316).

* Fri May 30 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.1-0.fdr.1
- Update to 0.3.1.
- Drop patch, already applied upstream.
- Install man page (#316).

* Sun May 25 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.0-0.fdr.2
- Requires kdebase (kdesu).
- Install French locale.

* Sat May 24 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.0-0.fdr.1
- First build.
